CSV export encoding problem when issues and interface languages are not equal
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

general_csv_encoding should be set to UTF-8 in locales (config/locales/*.yml) in order to avoid encoding problems when you try to

export issues in one language when interface is set to another.

Related issues:

Related to Redmine - Patch #6287: character corruption in exporting spent time Closed 2010-09-03

Related to Redmine - Feature #7037: CSV export encoding and excel. UTF-8 and BOM Closed 2010-12-03

Has duplicate Redmine - Defect #19523: problem in exporting Arabic text to csv Closed

History

#1 - 2012-06-08 20:48 - Jean-Philippe Lang

Could you explain why?

#2 - 2012-06-11 11:25 - Dmitry Babenko

Jean-Philippe Lang wrote:

Could you explain why?

 Sure. Here is our case. We use English interface and manage almost all projects and their issues in English. But also we have some local projects

and we need to manage them in Russian. So, when we try to export issues written in Russian when we use English interface we get only "?" instead

of Russian chars in CSV file.

But when we use Russian interface we have no problems with export to CSV because general_csv_encoding is set to UTF-8, and won't have them

with issues in any language.

Also, I believe that UTF-8 is more universal encoding for multi-lingual software :)

#3 - 2012-09-11 23:14 - Toshi MARUYAMA

- Category changed from Issues to I18n

#4 - 2013-02-14 12:01 - Timur Irmatov

I support Dmitry, we similarly using Redmine with English interface, but issues are in Russian. CSV export converts all russian characters to question

marks with default setting. Changing general_csv_encoding to UTF-8 in config/locales/*.yml fixes this issue. Last comment about UTF-8 being a

standard for today is pretty valid too.

#5 - 2013-04-16 13:26 - Filou Centrinov

Related with #6287

#6 - 2013-07-10 15:27 - Johan Hornof

agree with Dmitry and Filou, I'd also appreciate changing csv export to utf8

#7 - 2013-11-03 06:16 - alex koval

In today world the standard de-facto is UTF8 and not national charsets anymore.

My Redmine installation for example contains projects for different customers, some in German, some in Russian, most in English. This simply

means, for the sake of simplicity I use English interface and it take quite time for me to get to this issue. All non-English letters are '?' by default... Not

usable for truly international Redmine install.

The shortcut here would be to provide language setting: English (UTF-8) for those people which require UTF-8 support.
#8 - 2015-04-17 22:02 - @ go2null

+1 for UTF-8 in en.yml, or have it as a UI option.

#9 - 2015-04-18 05:35 - Toshi MARUYAMA

- Related to Feature #7037: CSV export encoding and excel. UTF-8 and BOM added

#10 - 2015-04-18 05:35 - Toshi MARUYAMA

Try #7037 patch.

#11 - 2015-04-18 05:40 - Toshi MARUYAMA

- Has duplicate Defect #19523: problem in exporting Arabic text to csv added

#12 - 2015-07-01 16:00 - Pavel Liavonau

@ go2null wrote:

+1 for UTF-8 in en.yml, or have it as a UI option.

 +1

When I am working under english locale of redmine export to csv doesn't work correctly. Ciryllic symbols looks like questions. When I switch language

of redmine to Russian - export works good.

So, why the parameter general_csv_encoding in localization files is not UTF-8 by default? Especially I mean the file en.yml.

thanks.

#13 - 2015-07-01 18:48 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Wont fix

Pavel Liavonau wrote:

So, why the parameter general_csv_encoding in localization files is not UTF-8 by default? Especially I mean the file en.yml.

 Because old MS Excel cannot treat UTF-8 with BOM.

#7037 was fixed in 3.1.0.

You can change general_csv_encoding to UTF-8 if your all MS Excel can treat UTF-8 with BOM.

I close this issue.
